package com.gh.gamecenter.packagehelper

import androidx.room.*

@Dao
interface PackageFilterDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun addPackageName(entity: FilterPackageNameEntity)

    @Query("select * from FilterPackageNameEntity")
    fun getAllPackageName(): List<FilterPackageNameEntity>

    @Query("DELETE FROM FilterPackageNameEntity")
    fun deleteAllPackageName()
}

@Entity
data class FilterPackageNameEntity(
    @PrimaryKey
    var packageName: String
)